Bug 213340 - [NEW PORT] sysutils/lsop: A FreeBSD utility to list all processes running with outdated binaries or shared libraries
Summary: [NEW PORT] sysutils/lsop: A FreeBSD utility to list all processes running wit...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2016-10-09 16:23 UTC by 606u
Modified: 2017-03-21 21:02 UTC (History)
2 users (show)

See Also:


Attachments
shar file for the port (1.79 KB, text/plain)
2016-10-09 16:23 UTC, 606u
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description 606u 2016-10-09 16:23:10 UTC
Created attachment 175578 [details]
shar file for the port

New port: sysutils/lsop a FreeBSD utility to list all processes running with outdated binaries or shared libraries
Comment 1 VK freebsd_triage 2016-11-13 02:09:57 UTC
BTW, imho the description is written a bit poorly. Lsop really looks for processes that have their binaries modified (ie. updated, not outdated) or deleted.

As it is now, and that comes from upstream, I know, it suggests a tool that lists processes with binaries that are outdated and should be updated (binaries, not the processes, so pkg upgrade).

BTW, anyone up to commit this? There's a certain level of interest for this port since it suggests which daemons to restart post upgrade...
Comment 2 Tobias Kortkamp freebsd_committer 2017-03-21 13:56:29 UTC
Sure I could commit.  The only problem I see is that the submitter's email does
not match the one given as MAINTAINER.

So either I use b081@hotmail.com as MAINTAINER or the Bugzilla account 
email needs to be updated to 606u@dir.bg
Comment 3 606u 2017-03-21 19:23:02 UTC
There you go.
Comment 4 Tobias Kortkamp freebsd_committer 2017-03-21 19:28:14 UTC
(In reply to 606u from comment #3)
Thank you.  Now waiting for mentor approval: https://reviews.freebsd.org/D10083
Comment 5 commit-hook freebsd_committer 2017-03-21 21:00:41 UTC
A commit references this bug:

Author: tobik
Date: Tue Mar 21 21:00:33 UTC 2017
New revision: 436654
URL: https://svnweb.freebsd.org/changeset/ports/436654

Log:
  New port: sysutils/lsop

  lsop is a FreeBSD utility to list all processes running with outdated
  binaries or shared libraries (that is, binaries or shared libraries
  that have been upgraded or simply deleted).

  lsop does not currently work when started in a FreeBSD jail!

  WWW: https://github.com/606u/lsop

  PR:		213340
  Submitted by:	606u@dir.bg
  Approved by:	lme (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10083

Changes:
  head/sysutils/Makefile
  head/sysutils/lsop/
  head/sysutils/lsop/Makefile
  head/sysutils/lsop/distinfo
  head/sysutils/lsop/pkg-descr